/*
 * yaepg.h: A plugin for the Video Disk Recorder
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id: yaepg.h,v 1.3 2004/11/08 01:41:20 bball Exp $
 */

#ifndef _YAEPG__H
#define _YAEPG__H

#include <vdr/plugin.h>
#include <stdarg.h>

#define YAEPG_ERROR(...)		cYaepg::LogMsg(YLOG_ERR, __VA_ARGS__)
#define YAEPG_INFO(...)			cYaepg::LogMsg(YLOG_INF, __VA_ARGS__)

#define MAX_LEFT_MARGIN			67
#define DEFAULT_LEFT_MARGIN		34
#define MAX_ENTRY_TIMEOUT		5000
#define DEFAULT_CHANNEL_ENTRY_TIMEOUT	1375

#define EPGWinHandle			areas[0]
#define InfoWinHandle			areas[1]

#define fontYaepg			fontSml
#define fontChanBox			fontYaepg
#define fontTimeBox			fontYaepg
#define fontEventBox			fontYaepg
#define fontIdentBox			fontYaepg
#define fontSourceBox			fontYaepg
#define fontInfoBox			fontYaepg
#define fontDateBox			fontYaepg
#define fontTitleBox			fontYaepg
#define fontDurBox			fontYaepg

/*
 * Color assignments
 */
#define SKIN_SOLID_WHITE		0xFFFFFFFF
#define SKIN_SOLID_GOLD			0xFFD7C000
#define SKIN_SOLID_CYAN			0xFF18F7FF
#define SKIN_SOLID_BLUE			0xFF003066
#define SKIN_SOLID_BACKDROP  		0xFF000000
#define SKIN_SOLID_HIGHLIGHT		0xFF14829D
#define SKIN_SOLID_ALT_HIGHLIGHT	0xFF831004
#define SKIN_TRANSPARENT_CLEAR		0x00000000
#define SKIN_TRANSPARENT_TINT		0x7F000000
#define SKIN_TRANSPARENT_BLUE		0xA4004087
#define SKIN_TRANSPARENT_BACKDROP 	0xB0000000
#define SKIN_TRANSPARENT_HIGHLIGHT	0xB01293B3
#define SKIN_TRANSPARENT_ALT_HIGHLIGHT	0xA0C00900

/*
 * Lots of hard-coding here based on the font size. 
 * Should be made more dynamic based on font.
 */
#define TBOX_MAX_LINES			16
#define TBOX_DEF_XBORDER		3
#define TBOX_DEF_YBORDER		0
#define TBOX_DEF_XALIGN			TBOX_TXT_CENTER
#define TBOX_DEF_YSPACING		0

#define TBOX_TXT_HEIGHT			20
#define TBOX_TXT_LEFT			0
#define TBOX_TXT_CENTER			1
#define TBOX_TXT_RIGHT			2

#define ARROW_LEFT              	1
#define ARROW_RIGHT             	2

#define TV_PAL_W			720
#define TV_PAL_H			576
#define TV_NTSC_W			720
#define TV_NTSC_H			480
#define CHANNELS_PAL			6
#define CHANNELS_NTSC			5

#define FMT_12HR(_hr)			((_hr) % 12 == 0 ? 12 : (_hr) % 12)
#define FMT_AMPM(_hr)			((_hr) >= 12 ? "PM" : "AM")

#define TOTALSOURCES 50

static const char *VERSION        = "0.0.10";
static const char *DESCRIPTION    = "Yet Another EPG";
static const char *MAINMENUENTRY  = "Yaepg";

typedef enum {
	YLOG_ERR	= 0,
	YLOG_INF	= 1
} eYlog_t;

#endif /* _YAEPG__H */
