/*
 * yaepgSetupMenu.h: A plugin for the Video Disk Recorder
 *
 * See the README file for copyright information and how to reach the author.
 *
 */
#ifndef __YAEPGSETUPMENU_H
#define __YAEPGSETUPMENU_H

#define SETUP_PARAM_TVFORMAT	 	"TvFormat"
#define SETUP_PARAM_THEME	 	"Theme"
#define SETUP_PARAM_SKINSTYLE	 	"SkinStyle"
#define SETUP_PARAM_SCREENMODE	 	"ScreenMode"
#define SETUP_PARAM_LMARGIN	 	"LeftMargin"
#ifdef SWITCH_AND_RECORD_PATCH
#define SETUP_PARAM_DEFAULTTIMER 	"DefaultTimer"
#endif
#define SETUP_PARAM_DEFAULTUSEEPISODE	"DefaultUseEpisode"
#define SETUP_PARAM_CHENTRY      	"ChanEntTimeout"
#define SETUP_PARAM_CHCHANGE	 	"ChannelChange"
#define SETUP_PARAM_CHORDER	 	"ChannelOrder"
#define SETUP_PARAM_TIMEFORMAT	 	"TimeFormat"
#ifdef XINE_UI_ZOOM_PATCH
#define SETUP_PARAM_ZOOMRESET    	"ZoomReset"
#define SETUP_PARAM_INTERLACE  	 	"ToggleInterlace"
#endif
#define SETUP_PARAM_HIDEMENU  	 	"HideMenuEntry"
#define SETUP_PARAM_RED          	"FnRed"
#define SETUP_PARAM_GREEN        	"FnGreen"
#define SETUP_PARAM_YELLOW       	"FnYellow"
#define SETUP_PARAM_BLUE         	"FnBlue"

#define TV_NTSC				0
#define TV_PAL				1

#define DEFAULT_THEME			0
#define CONTRAST_THEME			1
#define THEATER_THEME			2

#define SKIN_TRANSPARENT		0
#define SKIN_SOLID			1
#define SKIN_WINDOWED			2
#define SKIN_WINDOWED_LARGE		3

#define MODE_FULLSCREEN			0
#define MODE_CONDENSED			1
#define MODE_CROPPED			2

#ifdef SWITCH_AND_RECORD_PATCH
#define TIMER_SWITCH			0
#define TIMER_SWITCH_AND_RECORD		1
#define TIMER_RECORD			2
#define TIMER_SYSTEM_DEFAULT		3
#else
#define TIMER_RECORD			0
#endif

#define USE_EPISODE_NEVER		0
#define USE_EPISODE_SMART		1
#define USE_EPISODE_ALWAYS		2

#define CHANNEL_CHANGE_MANUAL		0
#define CHANNEL_CHANGE_MANUAL_INEPG	1
#define CHANNEL_CHANGE_AUTO_INEPG	2

#define CHANNEL_ORDER_UP		0
#define CHANNEL_ORDER_DOWN		1

#define TIME_24HR			0
#define TIME_12HR			1

#define FN_PAGE_UP			0
#define FN_PAGE_DOWN			1
#define FN_SWITCH_CHANNEL		2
#define FN_SWITCH_SOURCE		3


class cYaepgSetup {
 public:
   int  TvFormat;
   int  Theme;
   int  SkinStyle;
   int  ScreenMode;
   int  LeftMargin;
   int  DefaultTimer;
   int  DefaultUseEpisode;
   int  ChanEntTimeout;
   int  ChannelChange;
   int  ChannelOrder;
   int  TimeFormat;
#ifdef XINE_UI_ZOOM_PATCH
   int  ZoomReset;
   int  ToggleInterlace;
#endif
   int  HideMenuEntry;
   int  FnRed;
   int  FnGreen;
   int  FnYellow;
   int  FnBlue;
 public:
   cYaepgSetup(void);
   bool SetupParse(const char *Name, const char *Value);
};

class cYaepgSetupMenu : public cMenuSetupPage {
 private:
   const char* TV_FORMATS[2];
   const char* THEME_NAMES[3];
   const char* SKIN_STYLES[4];
   const char* SCREEN_MODES[3];
#ifdef SWITCH_AND_RECORD_PATCH
   const char* TIMER_METHODS[4];
#endif
   const char* USE_EPISODE_MODES[3];
   const char* CH_CHANGE_MODES[3];
   const char* CH_ORDER_FORMATS[2];
   const char* TIME_FORMATS[2];
   const char* RED[4];
   const char* GREEN[4];
   const char* YELLOW[4];
   const char* BLUE[4];
 protected:
   virtual void Store(void);
   virtual eOSState ProcessKey(eKeys key);
 public:
   cYaepgSetupMenu(void);
};

extern cYaepgSetup YaepgSetup;

#endif //__YAEPGSETUPMENU_H
